ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::StructuredAnnotations::Impl Class Reference

Private implementation details of StructuredAnnotations model object. More...

Collaboration diagram for ome::xml::model::StructuredAnnotations::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
std::vector< ome::compat::shared_ptr< ome::xml::model::XMLAnnotation > > | xmlAnnotations
| XMLAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::FileAnnotation > > | fileAnnotations
| FileAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::ListAnnotation > > | listAnnotations
| ListAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::LongAnnotation > > | longAnnotations
| LongAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::DoubleAnnotation > > | doubleAnnotations
| DoubleAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::CommentAnnotation > > | commentAnnotations
| CommentAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::BooleanAnnotation > > | booleanAnnotations
| BooleanAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::TimestampAnnotation > > | timestampAnnotations
| TimestampAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::TagAnnotation > > | tagAnnotations
| TagAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::TermAnnotation > > | termAnnotations
| TermAnnotation property (occurs more than once)
std::vector< ome::compat::shared_ptr< ome::xml::model::MapAnnotation > > | mapAnnotations
| MapAnnotation property (occurs more than once)

## Detailed Description

Private implementation details of StructuredAnnotations model object.

The documentation for this class was generated from the following file:

- ome/xml/model/StructuredAnnotations.cpp